 

      SUBROUTINE INITPY
 
C...Double precision and integer declarations.
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      IMPLICIT INTEGER(I-N)
 
      logical debug
      data debug /.false./

      call GetBeamInfo(Ipdg1,Ipdg2,Energy1,Energy2,Igrp1,Igrp2,
     +     Iset1,Iset2)

      cms = Energy1+Energy2

      if (debug) then
         write(6,*) 'INITPY: Energy1,Energy2=',Energy1, Energy2
         write(6,*) 'INITPY:  cms energy =   ',cms
      endif

C.....Note: pyinit must be called with first argument 'USER' (all other args are then ignored)
c     This tells pythia to take events via the HEP common blocks. Beam info is taken from
c     the call to UPINIT and event info from UPEVNT 
      CALL PYINIT('USER','p','p',cms)
      if (debug) write(6,*) 'INITPY: End of initialisation'

      RETURN
      END
